package com.bonus.hn.bearing.capacity.backstage.project.service;

import com.bonus.hn.bearing.capacity.backstage.project.entity.LineProjectBean;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * APP登录记录表(AppLoginAudit)表数据库访问层
 *
 * @author makejava
 * @since 2022-12-12 13:57:37
 */
@Mapper
public interface LineProjectService {


    List<LineProjectBean> getProjectTree(LineProjectBean o);

    List<LineProjectBean> getFirmList(LineProjectBean o);

    int addProjectInfo(LineProjectBean bean);

    LineProjectBean getListProject(String id);

    int updateProject(LineProjectBean bean);

    String delProjectById(String id);

    String upCompletedById(String id);

    List<String> getPermissionList(String id);

    String upForcedUnbinding(String id);
}

